# Interface Clearable

All Known Implementing Classes:
  `AbstractVisualizer, AssertionVisualizer, ComparisonVisualizer, DistributionGraph, DistributionGraphVisualizer, Graph, GraphVisualizer, MailerResultCollector, MailerVisualizer, MainFrame, MainFrame.ErrorsAndFatalsCounterLogTarget, MonitorAccumModel, MonitorGraph, MonitorHealthPanel, MonitorHealthVisualizer, MonitorModel, MonitorPerformancePanel, RespTimeGraphVisualizer, ResultCollector, ResultSaverGui, SimpleDataWriter, SplineModel, SplineVisualizer, StatGraphVisualizer, StatVisualizer, SummaryReport, TableVisualizer, ViewResultsFullVisualizer`

public interface Clearable
Identifies an object which supports the clearing of run-time data using the clearData() method. Intended for implementation by Listeners.

## Method Summary

Modifier and Type
Method
Description
`void`
`clearData()`
Clears the current data of the object.

## Method Details

### clearData

void clearData()
Clears the current data of the object.